## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathEnvSupportDefault::NamespaceFunctionTableDeleteFunctor Struct Reference

`#include <XPathEnvSupportDefault.hpp>`

List of all members.

## Public Types

- typedef FunctionTableType FunctionTableInnerType
- typedef NamespaceFunctionTablesType NamespaceFunctionTablesInnerType

## Public Methods

- void operator() (const NamespaceFunctionTablesInnerType::value_type& thePair) const
    Delete the value object in a map value pair. More...

## Member Typedef Documentation

typedef FunctionTableType XPathEnvSupportDefault::NamespaceFunctionTableDeleteFunctor::FunctionTableInnerType

typedef NamespaceFunctionTablesType XPathEnvSupportDefault::NamespaceFunctionTableDeleteFunctor::NamespaceFunctionTablesInnerType

## Member Function Documentation

void XPathEnvSupportDefault::NamespaceFunctionTableDeleteFunctor::operator() ( | const NamespaceFunctionTablesInnerType::value_type & thePair ) const

Delete the value object in a map value pair.

The value of the pair must be of pointer type.

Parameters:

  thePair | key-value pair

The documentation for this struct was generated from the following file:

- XPathEnvSupportDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.